Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class AMQImpl

    java.lang.Object
      com.rabbitmq.client.impl.AMQImpl

All Implemented Interfaces:
  AMQP

    public class AMQImpl

extends java.lang.Object
implements AMQP

Nested Class Summary
`static class` | `AMQImpl.Access`
`static class` | `AMQImpl.Basic`
`static class` | `AMQImpl.Channel`
`static class` | `AMQImpl.Confirm`
`static class` | `AMQImpl.Connection`
`static class` | `AMQImpl.DefaultMethodVisitor`
`static class` | `AMQImpl.Exchange`
`static interface` | `AMQImpl.MethodVisitor`
`static class` | `AMQImpl.Queue`
`static class` | `AMQImpl.Tx`

Nested classes/interfaces inherited from interface com.rabbitmq.client.AMQP
`AMQP.BasicProperties, AMQP.PROTOCOL`

Field Summary

Fields inherited from interface com.rabbitmq.client.AMQP
`ACCESS_REFUSED, CHANNEL_ERROR, COMMAND_INVALID, CONNECTION_FORCED, CONTENT_TOO_LARGE, FRAME_BODY, FRAME_END, FRAME_ERROR, FRAME_HEADER, FRAME_HEARTBEAT, FRAME_METHOD, FRAME_MIN_SIZE, INTERNAL_ERROR, INVALID_PATH, NO_CONSUMERS, NO_ROUTE, NOT_ALLOWED, NOT_FOUND, NOT_IMPLEMENTED, PRECONDITION_FAILED, REPLY_SUCCESS, RESOURCE_ERROR, RESOURCE_LOCKED, SYNTAX_ERROR, UNEXPECTED_FRAME`

Constructor Summary
`AMQImpl()`

Method Summary
`static AMQContentHeader` | `readContentHeaderFrom(java.io.DataInputStream in)`
`static Method` | `readMethodFrom(java.io.DataInputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMQImpl

    public AMQImpl()

Method Detail

### readMethodFrom

    public static Method readMethodFrom(java.io.DataInputStream in)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### readContentHeaderFrom

    public static AMQContentHeader readContentHeaderFrom(java.io.DataInputStream in)
                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD